Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class AssemblyDescriptorTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.AssemblyDescriptorTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, AssemblyDescriptorType<T>

    public class AssemblyDescriptorTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, AssemblyDescriptorType<T>

This class implements the `assembly-descriptorType` xsd type

Original Documentation:

The assembly-descriptor element contains application-assembly information.
The definition of security roles allows you to map assembly roles to one or more principals.
For example, you may define a run-as principal in the security-identity element and include
that principal in one or more security-role(s) in the assembly descriptor. When called with
a run-as role, the callee will see all those roles in ctx.isCallerInRole(...) Used in: jboss

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`AssemblyDescriptorTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`AssemblyDescriptorTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<MessageDestinationType<AssemblyDescriptorType<T>>>` | `getMessageDestinationList()` Returns all `message-destination` elements
`java.util.List<SecurityRoleType<AssemblyDescriptorType<T>>>` | `getSecurityRoleList()` Returns all `security-role` elements
`MessageDestinationType<AssemblyDescriptorType<T>>` | `messageDestination()` Returns the `message-destination` element
`AssemblyDescriptorType<T>` | `removeAllMessageDestination()` Removes all `message-destination` elements
`AssemblyDescriptorType<T>` | `removeAllSecurityRole()` Removes all `security-role` elements
`SecurityRoleType<AssemblyDescriptorType<T>>` | `securityRole()` Returns the `security-role` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssemblyDescriptorTypeImpl

    public AssemblyDescriptorTypeImpl(T t,
                                      java.lang.String nodeName,
                                      org.jboss.shrinkwrap.descriptor.spi.Node node)

### AssemblyDescriptorTypeImpl

    public AssemblyDescriptorTypeImpl(T t,
                                      java.lang.String nodeName,
                                      org.jboss.shrinkwrap.descriptor.spi.Node node,
                                      org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### removeAllSecurityRole

    public AssemblyDescriptorType<T> removeAllSecurityRole()

  Removes all `security-role` elements

  Specified by:
    `removeAllSecurityRole` in interface `AssemblyDescriptorType<T>`
  Returns:
    the current instance of `AssemblyDescriptorType`

### securityRole

    public SecurityRoleType<AssemblyDescriptorType<T>> securityRole()

  Returns the `security-role` element

  Specified by:
    `securityRole` in interface `AssemblyDescriptorType<T>`
  Returns:
    the node defined for the element `security-role`

### getSecurityRoleList

    public java.util.List<SecurityRoleType<AssemblyDescriptorType<T>>> getSecurityRoleList()

  Returns all `security-role` elements

  Specified by:
    `getSecurityRoleList` in interface `AssemblyDescriptorType<T>`
  Returns:
    list of `security-role`

### removeAllMessageDestination

    public AssemblyDescriptorType<T> removeAllMessageDestination()

  Removes all `message-destination` elements

  Specified by:
    `removeAllMessageDestination` in interface `AssemblyDescriptorType<T>`
  Returns:
    the current instance of `AssemblyDescriptorType`

### messageDestination

    public MessageDestinationType<AssemblyDescriptorType<T>> messageDestination()

  Returns the `message-destination` element

  Specified by:
    `messageDestination` in interface `AssemblyDescriptorType<T>`
  Returns:
    the node defined for the element `message-destination`

### getMessageDestinationList

    public java.util.List<MessageDestinationType<AssemblyDescriptorType<T>>> getMessageDestinationList()

  Returns all `message-destination` elements

  Specified by:
    `getMessageDestinationList` in interface `AssemblyDescriptorType<T>`
  Returns:
    list of `message-destination`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD